#!/usr/bin/perl
require "award.setup";  # File that contains all the variables.
##############################################################################
# Midmart Award Site Version 1.00                                            # 
# Author: Mehdi Ghasemi                                                      #
# Email:  webmaster@midmart.com                                              #
# Available at http://www.midmart.com/scripts/                               #
# Copyright 1999 Midmart Developers Group                                    #
# Created 9/19/99                    Last Modified 9/19/99                   #
##############################################################################
# COPYRIGHT NOTICE                                                           #
# Copyright 1999 Midmart Developers Group All Rights Reserved.               #
#                                                                            #
# This script can be used free of charge as long as you don't change this    #
# header, or the parts of this script that generate the return links and     #
# forms. If you really need to remove the ads, visit                         #
# http://www.midmart.com/order.htm  to register your copy.                   #
#                                                                            #
# By using this script you agree to indemnify the author and Midmart         #
# Developers Group from any liability that might arise from its use.         #
#                                                                            #
# This code must not be sold or redistributed, even in modified form,        # 
# without the written permission of the Midmart Developers Group.            #
##############################################################################



print "Content-type: text/html\n\n";
&Read_Parse;


if ($form{'action'} eq "apply"){

######## Erroe Checking

        &no_name unless $form{'name'};
        &no_title unless $form{'title'};
        &no_url unless $form{'url'};
        &no_desc unless $form{'desc'};
        &no_email unless $form{'email'};
        &no_valid_email unless (($form{'email'} eq '') || (($form{'email'}
 ne '') &&
        ($form{'email'} =~ /\w*@\w*/))); 


###### Checking for duplicate Entries

open (USRDAT,"$DATA_DIR/temp.dat");
@dat = <USRDAT>;
close (USRDAT);

foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        if ($entry[1] eq $form{'url'}){
        &duplicate_url;
        }
}

###### Getting the date

$now_string = localtime;
@thetime = split(/ +/,$now_string);
@theclock = split(/:/,$thetime[3]);

###### Writing User Information into File.

$form{'desc'} =~ s/\n/ /g;


open(USERDAT, "$DATA_DIR/temp.dat");
@FILE = <USERDAT>;
close(USERDAT);

open(NEWUSERDAT, ">$DATA_DIR/temp.dat");
flock(NEWUSERDAT,2);
print NEWUSERDAT "$form{'title'}#!#$form{'url'}#!#$form{'name'}#!#$form{'email'}#!#$form{'desc'}#!#$thetime[2]-$thetime[1]-$thetime[4]#!#n\n";
print NEWUSERDAT @FILE;
flock(NEWUSERDAT,8);
close (NEWUSERDAT);

&thank_you;

###### Print Thank you to user browser

print "<html><head>\n";
print "<title>Thank You</title></head>\n";
print "$BODY\n";
print "$HEADER\n";

print "<font face=\"arial\" size=\"-1\"><b>Thank You<br></b>\n";
print "<p>Your application has been received successfully. We receive a large\n";
print "number of applications daily, so it may be 1 month before we are able\n";
print "to visit and review your site. Please be patient.<br>\n";
print "We strive to visit every site submitted to us in the order in which\n";
print "they are received.</p>\n";
print "<p>If your site is selected for one of our awards, we will notify you by email.</p></font>\n";

print "$FOOTER\n";
&copyright;
print "</body></html>\n";
exit;

}

elsif ($form{'action'} eq "admin"){

  if ($form{'password'} eq "$ADMIN_PASSWORD"){
        print "<html><title>Administrator Utilities</title>\n$BODY\n";
        print "$HEADER\n";
        print "<center><h2><font face=\"arial\" color=\"navy\">Administrator Utilities</font></h2></center>\n";
        print "<table cellspacing=\"10\">\n";
        print "<tr><td valign=\"bottom\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"review\">\n";
        print "<input type=submit name=submit value=\"Review New Sites\">\n";
        print "</form></td><td valign=\"top\"><font face=\"arial\" size=\"-1\">Rate new nominations or ignore them</font></td></tr>\n";
        print "<tr><td valign=\"bottom\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"final\">\n";
        print "<input type=submit name=submit value=\"Final Selection\">\n";
        print "</form></td><td valign=\"top\"><font face=\"arial\" size=\"-1\">Make the final decision and give the awards</font></td></tr>\n";
        print "<tr><td valign=\"bottom\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"empty\">\n";
        print "<input type=submit name=submit value=\"Empty Trash\">\n";
        print "</form></td><td valign=\"top\"><font face=\"arial\" size=\"-1\">Clear your temporary file and send an email to all losers</font></td></tr>\n";
        print "</table>\n";
        print "$FOOTER\n";
        &copyright;
        print "</body></html>\n";
        exit;
  }
  else {
    &incorrect_password;
  }

}



elsif ($form{'action'} eq "review"){

open (USRDAT,"$DATA_DIR/temp.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>New Entries</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">New Entries</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"12%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"rate\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<select name=\"rate\">\n";
        print "<option>1\n";
        print "<option>2\n";
        print "<option>3\n";
        print "<option>4\n";
        print "<option>5\n";
        print "<option>6\n";
        print "<option>7\n";
        print "<option>8\n";
        print "<option>9\n";
        print "<option>10\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Rate it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";
exit;
}


elsif ($form{'action'} eq "rate"){

open(USERDAT, "$DATA_DIR/rated.dat");
@FILE = <USERDAT>;
close(USERDAT);

open(RATEDUSERDAT, ">$DATA_DIR/rated.dat");
flock(RATEDUSERDAT,2);
print RATEDUSERDAT "$form{'title'}#!#$form{'url'}#!#$form{'name'}#!#$form{'email'}#!#$form{'desc'}#!#$form{'date'}#!#$form{'rate'}#!#n\n";
print RATEDUSERDAT @FILE;
flock(RATEDUSERDAT,8);
close (RATEDUSERDAT);

#&thank_you;

open (USRDAT,"$DATA_DIR/temp.dat");
@dat = <USRDAT>;
close (USRDAT);

   open(TEMP, ">$DATA_DIR/temp.dat");
   flock(TEMP,2);

   foreach $step (@dat) {
     @user = split(/#!#/,"$step");
     if ($user[1] ne $form{'url'}) {
        print TEMP "$user[0]#!#$user[1]#!#$user[2]#!#$user[3]#!#$user[4]#!#$user[5]#!#n\n";
     }
   }

   flock(TEMP,8);
   close (TEMP);

open (USRDAT,"$DATA_DIR/temp.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>New Entries</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">New Entries</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"13%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"rate\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<select name=\"rate\">\n";
        print "<option>1\n";
        print "<option>2\n";
        print "<option>3\n";
        print "<option>4\n";
        print "<option>5\n";
        print "<option>6\n";
        print "<option>7\n";
        print "<option>8\n";
        print "<option>9\n";
        print "<option>10\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Rate it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";
exit;
}


elsif ($form{'action'} eq "trash"){

open(USERDAT, "$DATA_DIR/trash.dat");
@FILE = <USERDAT>;
close(USERDAT);

open(RATEDUSERDAT, ">$DATA_DIR/trash.dat");
flock(RATEDUSERDAT,2);
print RATEDUSERDAT "$form{'title'}#!#$form{'url'}#!#$form{'name'}#!#$form{'email'}#!#$form{'desc'}#!#$form{'date'}#!#n\n";
print RATEDUSERDAT @FILE;
flock(RATEDUSERDAT,8);
close (RATEDUSERDAT);

#&thank_you;

open (USRDAT,"$DATA_DIR/temp.dat");
@dat = <USRDAT>;
close (USRDAT);

   open(TEMP, ">$DATA_DIR/temp.dat");
   flock(TEMP,2);

   foreach $step (@dat) {
     @user = split(/#!#/,"$step");
     if ($user[1] ne $form{'url'}) {
        print TEMP "$user[0]#!#$user[1]#!#$user[2]#!#$user[3]#!#$user[4]#!#$user[5]#!#n\n";
     }
   }

   flock(TEMP,8);
   close (TEMP);

open (USRDAT,"$DATA_DIR/temp.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>New Entries</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">New Entries</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"13%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"rate\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<select name=\"rate\">\n";
        print "<option>1\n";
        print "<option>2\n";
        print "<option>3\n";
        print "<option>4\n";
        print "<option>5\n";
        print "<option>6\n";
        print "<option>7\n";
        print "<option>8\n";
        print "<option>9\n";
        print "<option>10\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Rate it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";
exit;

}


elsif ($form{'action'} eq "final"){

open (USRDAT,"$DATA_DIR/rated.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>Final Selection</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">Final Selection</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"14%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Give Award</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[6]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"award\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=hidden name=rate value=\"$entry[6]\">\n";
        print "<select name=\"award\">\n";
        print "<option>Gold Award\n";
        print "<option>Silver Award\n";
        print "<option>Bronze Award\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Award it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash2\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";
exit;
}

elsif ($form{'action'} eq "trash2"){

open(USERDAT, "$DATA_DIR/trash.dat");
@FILE = <USERDAT>;
close(USERDAT);

open(RATEDUSERDAT, ">$DATA_DIR/trash.dat");
flock(RATEDUSERDAT,2);
print RATEDUSERDAT "$form{'title'}#!#$form{'url'}#!#$form{'name'}#!#$form{'email'}#!#$form{'desc'}#!#$form{'date'}#!#n\n";
print RATEDUSERDAT @FILE;
flock(RATEDUSERDAT,8);
close (RATEDUSERDAT);


open (USRDAT,"$DATA_DIR/rated.dat");
@dat = <USRDAT>;
close (USRDAT);

   open(TEMP, ">$DATA_DIR/rated.dat");
   flock(TEMP,2);

   foreach $step (@dat) {
     @user = split(/#!#/,"$step");
     if ($user[1] ne $form{'url'}) {
        print TEMP "$user[0]#!#$user[1]#!#$user[2]#!#$user[3]#!#$user[4]#!#$user[5]#!#$user[6]#!#n\n";
     }
   }

   flock(TEMP,8);
   close (TEMP);

open (USRDAT,"$DATA_DIR/rated.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>Final Selection</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">Final Selection</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"14%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Give Award</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[6]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"award\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=hidden name=rate value=\"$entry[6]\">\n";
        print "<select name=\"award\">\n";
        print "<option>Gold Award\n";
        print "<option>Silver Award\n";
        print "<option>Bronze Award\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Award it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash2\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";
exit;
}



elsif ($form{'action'} eq "award"){

 if ($form{'award'} eq "Gold Award"){

   open(WINNERDAT, "$DATA_DIR/winners.dat");
   @FILE = <WINNERDAT>;
   close(WINNERDAT);

   open(NEWWINNERDAT, ">$DATA_DIR/winners.dat");
   flock(NEWWINNERDAT,2);
   print NEWWINNERDAT "<b>$form{'date'}</b>#!#<b><a href=\"$form{'url'}\">$form{'title'}</a></b>#!#<b>$form{'desc'}</b>#!#<b><font color=\"#ff0000\">Gold Award!</font></b>#!#$form{'email'}#!#n\n";
   print NEWWINNERDAT @FILE;
   flock(NEWWINNERDAT,8);
   close (NEWWINNERDAT);

   &winner;

   open (USRDAT,"$DATA_DIR/rated.dat");
   @dat = <USRDAT>;
   close (USRDAT);

   open(TEMP, ">$DATA_DIR/rated.dat");
   flock(TEMP,2);

   foreach $step (@dat) {
     @user = split(/#!#/,"$step");
     if ($user[1] ne $form{'url'}) {
        print TEMP "$user[0]#!#$user[1]#!#$user[2]#!#$user[3]#!#$user[4]#!#$user[5]#!#$user[6]#!#n\n";
     }
   }

   flock(TEMP,8);
   close (TEMP);

open (USRDAT,"$DATA_DIR/rated.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>Final Selection</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">Final Selection</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"14%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Give Award</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[6]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"award\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=hidden name=rate value=\"$entry[6]\">\n";
        print "<select name=\"award\">\n";
        print "<option>Gold Award\n";
        print "<option>Silver Award\n";
        print "<option>Bronze Award\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Award it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash2\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";
 exit;
 }

 elsif ($form{'award'} eq "Silver Award"){

   open(WINNERDAT, "$DATA_DIR/winners.dat");
   @FILE = <WINNERDAT>;
   close(WINNERDAT);

   open(NEWWINNERDAT, ">$DATA_DIR/winners.dat");
   flock(NEWWINNERDAT,2);
   print NEWWINNERDAT "$form{'date'}#!#<a href=\"$form{'url'}\">$form{'title'}</a>#!#$form{'desc'}#!#Silver Award#!#$form{'email'}#!#n\n";
   print NEWWINNERDAT @FILE;
   flock(NEWWINNERDAT,8);
   close (NEWWINNERDAT);

   &second;

   open (USRDAT,"$DATA_DIR/rated.dat");
   @dat = <USRDAT>;
   close (USRDAT);

   open(TEMP, ">$DATA_DIR/rated.dat");
   flock(TEMP,2);

   foreach $step (@dat) {
     @user = split(/#!#/,"$step");
     if ($user[1] ne $form{'url'}) {
        print TEMP "$user[0]#!#$user[1]#!#$user[2]#!#$user[3]#!#$user[4]#!#$user[5]#!#$user[6]#!#n\n";
     }
   }

   flock(TEMP,8);
   close (TEMP);

open (USRDAT,"$DATA_DIR/rated.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>Final Selection</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">Final Selection</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"14%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Give Award</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[6]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"award\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=hidden name=rate value=\"$entry[6]\">\n";
        print "<select name=\"award\">\n";
        print "<option>Gold Award\n";
        print "<option>Silver Award\n";
        print "<option>Bronze Award\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Award it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash2\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";

 exit;
 }

 elsif ($form{'award'} eq "Bronze Award"){

   &third;

   open (USRDAT,"$DATA_DIR/rated.dat");
   @dat = <USRDAT>;
   close (USRDAT);

   open(TEMP, ">$DATA_DIR/rated.dat");
   flock(TEMP,2);

   foreach $step (@dat) {
     @user = split(/#!#/,"$step");
     if ($user[1] ne $form{'url'}) {
        print TEMP "$user[0]#!#$user[1]#!#$user[2]#!#$user[3]#!#$user[4]#!#$user[5]#!#$user[6]#!#n\n";
     }
   }

   flock(TEMP,8);
   close (TEMP);

open (USRDAT,"$DATA_DIR/rated.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>Final Selection</title>$BODY\n";
print "<center><h2><font face=\"arial\" color=\"Navy\">Final Selection</font></h2></center>\n";
print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"14%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Rating</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"15%\"><font color=\"#ffffff\"><b>Give Award</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Delete</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[5]</td><td bgcolor=\"#ccccee\" valign=\"top\"><a href=\"$entry[1]\" target=\"new\">$entry[0]</a></td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[4]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[6]</td>\n";
        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"award\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=hidden name=rate value=\"$entry[6]\">\n";
        print "<select name=\"award\">\n";
        print "<option>Gold Award\n";
        print "<option>Silver Award\n";
        print "<option>Bronze Award\n";
        print "</select>\n";
        print "<input type=submit name=submit value=\"Award it\">\n";
        print "</form></td>\n";


        print "<td bgcolor=\"#ccccee\" valign=\"top\"><form method=\"POST\" action=\"award.cgi\">\n";
        print "<input type=hidden name=action value=\"trash2\">\n";
        print "<input type=hidden name=title value=\"$entry[0]\">\n";
        print "<input type=hidden name=url value=\"$entry[1]\">\n";
        print "<input type=hidden name=name value=\"$entry[2]\">\n";
        print "<input type=hidden name=email value=\"$entry[3]\">\n";
        print "<input type=hidden name=desc value=\"$entry[4]\">\n";
        print "<input type=hidden name=date value=\"$entry[5]\">\n";
        print "<input type=submit name=submit value=\"Send to trash\">\n";
        print "</form></td>\n";
        print "</tr>\n";
  }

print "</table>\n";
print "<center><form method=\"POST\" action=\"award.cgi\">\n";
print "<input type=hidden name=action value=\"admin\">\n";
print "<input type=hidden name=password value=\"$ADMIN_PASSWORD\">\n";
print "<input type=submit name=submit value=\"Back To Main Page\">\n";
print "</form></center>\n";
print "</body></html>\n";

 exit;
 }


exit;
}

elsif ($form{'action'} eq "view"){

open (USRDAT,"$DATA_DIR/winners.dat");
@dat = <USRDAT>;
close (USRDAT);

print "<html><title>$SITE_NAME - Winners List</title>\n$BODY\n";
print "$HEADER";

print "<br><font face=\"arial\" color=\"#004080\" size=\"4\"><center><b>$SITE_NAME</b></center></font>\n";
print "<font face=\"arial\" color=\"#004080\" size=\"5\"><center><b>Winners List</b></center></font><br>\n";

print "<table width=\"100%\" cellspacig=5 cellpadding=5>\n";
print "<tr><td bgcolor=\"#004080\" valign=\"top\" width=\"14%\"><font color=\"#ffffff\"><b>Date</b></font></td><td bgcolor=\"#004080\" valign=\"top\" width=\"25%\"><font color=\"#ffffff\"><b>Title</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\"><b>Description</b></font></td><td bgcolor=\"#004080\" valign=\"top\"><font color=\"#ffffff\" width=\"12%\"><b>Award Type</b></font></td></tr>\n";

  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        print "<tr><td bgcolor=\"#ccccee\" valign=\"top\">$entry[0]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[1]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[2]</td><td bgcolor=\"#ccccee\" valign=\"top\">$entry[3]</td></tr>\n";

  }
print "</table><br>\n";

print "$FOOTER";
&copyright;
print "</body></html>\n";
exit;
}

elsif ($form{'action'} eq "empty"){

open (TRASH,"$DATA_DIR/trash.dat");
@dat = <TRASH>;
close (TRASH);


  foreach $line (@dat) {
	@entry = split(/#!#/,"$line");
        &loser;
  }

   open(TRASH, ">$DATA_DIR/trash.dat");
   print TRASH "";
   close (TRASH);

   print "<html><title>Trash File Erased</title>$BODY\n";
   print "<center><h2><font face=\"arial\" color=\"navy\">Your trash file has been erased.</font></h2></center><br>\n";
   print "</body></html>\n";

exit;
}


##############################  Subroutines  #################################

sub no_name {
   print "<html><head><title>No Name</title></head>\n";
   print "<body bgcolor=\"#eeeeee\"><h2><font face=\"arial\" color=\"navy\">Your Name appears to be blank.</font></h2>\n";
   print "Please use the Back button on your browser to go back\n";
   print " and enter your name.<p>\n";
   print "\n</body></html>\n";
   exit;
}
 

sub no_title {
   print "<html><head><title>No Title</title></head>\n";
   print "<body bgcolor=\"#eeeeee\"><h2><font face=\"arial\" color=\"navy\">Your Title appear to be blank.</font></h2>\n";
   print "Please use the Back button on your browser to go back\n";
   print "and enter your Title.<p>\n";
   print "\n</body></html>\n";
   exit;
}

sub duplicate_url {
   print "<html><head><title>Duplicate URL</title></head>\n";
   print "<body bgcolor=\"#eeeeee\"><h2><font face=\"arial\" color=\"navy\">Your URL is already submitted to our database.</font></h2>\n";
   print "\n</body></html>\n";
   exit;
}


sub no_url {
   print "<html><head><title>No URL</title></head>\n";
   print "<body bgcolor=\"#eeeeee\"><h2><font face=\"arial\" color=\"navy\">Your URL appear to be blank.</font></h2>\n";
   print "Please use the Back button on your browser to go back\n";
   print "and enter your URL.<p>\n";
   print "\n</body></html>\n";
   exit;
}


sub no_desc {
   print "<html><head><title>No Description</title></head>\n";
   print "<body bgcolor=\"#eeeeee\"><h2><font face=\"arial\" color=\"navy\">Your Description appear to be blank.</font></h2>\n";
   print "Please use the Back button on your browser to go back\n";
   print "and enter your Description.<p>\n";
   print "\n</body></html>\n";
   exit;
}


sub no_email {
   print "<html><head><title>No Email Address</title></head>\n";
   print "<body bgcolor=\"#eeeeee\"><h2><font face=\"arial\" color=\"navy\">Your Email Address appears to be blank</font></h2>\n";
   print "Please use the Back button on your browser to go back\n";
   print "and enter your Email Address.<p>\n";
   print "\n</body></html>\n";
 
   exit;
}


# Subroutine for error in email address
sub no_valid_email
{
   print "<html><head><title>Invalid E-Mail Address</title></head>\n";
   print "<body bgcolor=\"#eeeeee\">\n";
   print "<h2><font face=\"arial\" color=\"navy\">Invalid E-Mail Address</font></h2>\n";
   print "You must specify a valid email address.\n";
   print "Please use the Back button on your browser to go back\n";
   print " and enter your Email Address.<p>\n";
   print "</body></html>\n";
   exit;
} 

sub copyright {
##############################################################################
# YOU MAY NOT USE MIDMART PENPAL LIST IF THE FOLLOWING COPYRIGHT NOTICES ARE #
# ALTERED OR EDITED                                                          #
##############################################################################
print "<center><font face=\"arial\" size=\"-1\">\n";
print "Powered by <a href=\"http://www.midmart.com/scripts/\">Midmart Award Site</a><br>\n";
print "&copy;1999 <a href=\"http://www.midmart.com/\">Midmart Developers Group.</a> All rights reserved.\n";
print "</font></center>\n";
##############################################################################
#                            END OF DO NOT ALTER                             #    #
##############################################################################
}

sub copyright_email {
##############################################################################
# YOU MAY NOT USE MIDMART PENPAL LIST IF THE FOLLOWING COPYRIGHT NOTICES ARE #
# ALTERED OR EDITED                                                          #
##############################################################################
print MAIL "\n";
print MAIL "-----------------------------------------------------------------\n";
print MAIL "Powered by Midmart Award Site, a FREE CGI script from midmart.com\n";
print MAIL "Run your own award site Today!   http://www.midmart.com          \n";
print MAIL "------------------------------------------------------------------\n";
##############################################################################
#                            END OF DO NOT ALTER                             #    #
##############################################################################
}

sub thank_you {

open(MAIL, "|$MAILPROG -t");
print MAIL "To: $form{'email'}\n";
print MAIL "FROM: $ADMIN_EMAIL\n";
print MAIL "SUBJECT: Your Site Award Application\n\n";
print MAIL "Dear $form{'name'},\n";
print MAIL "$THANK_BODY\n";
&copyright_email;
close (MAIL);

}

sub loser {

open(MAIL, "|$MAILPROG -t");
print MAIL "To: $entry[3]\n";
print MAIL "FROM: $ADMIN_EMAIL\n";
print MAIL "SUBJECT: Re: your award \n\n";
print MAIL "Dear $entry[2],\n";
print MAIL "$LOSER_BODY\n";
&copyright_email;
close (MAIL);

}

sub third {

open(MAIL, "|$MAILPROG -t");
print MAIL "To: $form{'email'}\n";
print MAIL "FROM: $ADMIN_EMAIL\n";
print MAIL "SUBJECT: You have won the Bronze Award\n";
print MAIL "$THIRD_BODY\n";
&copyright_email;
close (MAIL);

}

sub second {

open(MAIL, "|$MAILPROG -t");
print MAIL "To: $form{'email'}\n";
print MAIL "FROM: $ADMIN_EMAIL\n";
print MAIL "SUBJECT: You have won the Silver Award\n";
print MAIL "$SECOND_BODY\n";
&copyright_email;
close (MAIL);

}


sub winner {
open(MAIL, "|$MAILPROG -t");
print MAIL "To: $form{'email'}\n";
print MAIL "FROM: $ADMIN_EMAIL\n";
print MAIL "SUBJECT: You have won the Gold Award\n";
print MAIL "$WINNER_BODY\n";
&copyright_email;
close (MAIL);

}

